QXmpp: QXmppVideoFrame Class Reference

QXmpp Version:0.7.5

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Public Types | Public Member Functions | List of all members
QXmppVideoFrame Class Reference

The QXmppVideoFrame class provides a representation of a frame of video data. More...

`#include <QXmppRtpChannel.h>`

## Public Types
enum | PixelFormat { Format_Invalid = 0, Format_RGB32 = 3, Format_RGB24 = 4, Format_YUV420P = 18, Format_UYVY = 20, Format_YUYV = 21 }
| This enum describes a pixel format. More...

## Public Member Functions
| QXmppVideoFrame ()
| QXmppVideoFrame (int bytes, const QSize &size, int bytesPerLine, PixelFormat format)
uchar * | bits ()
| Returns a pointer to the start of the frame data buffer.
const uchar * | bits () const
| Returns a pointer to the start of the frame data buffer.
int | bytesPerLine () const
| Returns the number of bytes in a scan line.
int | height () const
| Returns the height of a video frame.
bool | isValid () const
| Returns true if the frame is valid.
int | mappedBytes () const
| Returns the number of bytes occupied by the mapped frame data.
PixelFormat | pixelFormat () const
| Returns the color format of a video frame.
QSize | size () const
| Returns the size of a video frame.
int | width () const
| Returns the width of a video frame.

## Detailed Description

The QXmppVideoFrame class provides a representation of a frame of video data.

Note
  THIS API IS NOT FINALIZED YET

## Member Enumeration Documentation

enum QXmppVideoFrame::PixelFormat

This enum describes a pixel format.

Enumerator:

  Format_Invalid | The frame is invalid.
  Format_RGB32 | The frame stored using a 32-bit RGB format (0xffRRGGBB).
  Format_RGB24 | The frame is stored using a 24-bit RGB format (8-8-8).
  Format_YUV420P | The frame is stored using an 8-bit per component planar YUV format with the U and V planes horizontally and vertically sub-sampled, i.e. the height and width of the U and V planes are half that of the Y plane.
  Format_UYVY | The frame is stored using an 8-bit per component packed YUV format with the U and V planes horizontally sub-sampled (U-Y-V-Y), i.e. two horizontally adjacent pixels are stored as a 32-bit macropixel which has a Y value for each pixel and common U and V values.
  Format_YUYV | The frame is stored using an 8-bit per component packed YUV format with the U and V planes horizontally sub-sampled (Y-U-Y-V), i.e. two horizontally adjacent pixels are stored as a 32-bit macropixel which has a Y value for each pixel and common U and V values.

## Constructor & Destructor Documentation

QXmppVideoFrame::QXmppVideoFrame | ( |  | ) |

Constructs a null video frame.

QXmppVideoFrame::QXmppVideoFrame | ( | int | bytes,
|  | const QSize & | size,
|  | int | bytesPerLine,
|  | PixelFormat | format
| ) |  |

Constructs a video frame of the given pixel format and size in pixels.

Parameters

  bytes |
  size |
  bytesPerLine |
  format |

The documentation for this class was generated from the following files:

- QXmppRtpChannel.h
- QXmppRtpChannel.cpp